[tracker] Reasons for next hg.mozilla.org Mercurial upgrade

RESOLVED INCOMPLETE

Status

Developer Services
Mercurial: hg.mozilla.org
--
minor
RESOLVED INCOMPLETE
4 years ago
3 years ago

People

(Reporter: hwine, Assigned: hwine)

Tracking

(Depends on: 1 bug, {meta})

Details

(Whiteboard: [kanban:engops:https://mozilla.kanbanize.com/ctrl_board/6/140] )

At some point, we'll want to upgrade Mercurial on hg.mozilla.org again. There is no committed time or version at this point.

There may be many reasons to upgrade, all with varying benefits. Please open blocker bugs with reasons for upgrade to a specific version of hg. The more detailed the benefits can be expressed, the more helpful it will be.

Comment 1

4 years ago
Not sure why we need blocker bugs since all those bugs will just get resolved with the upgrade.

Here's a partial list:

* 2.6 allows per-directory download via hgweb. This could be used for things like the one-line bootstrapper, tools to fetch docs dirs quickly, etc.

* 2.6/2.8.1 fixed bugs around moving bookmarks forward.

* 2.7 fixes for hidden changesets.

* 2.8 adds revset support to the search feature in hgweb. This is very useful for people searching the repo via the web interface.

* All versions fixed many bugs, made perf better, and are stable.

Updated

4 years ago
Depends on: 950850

Updated

4 years ago
See Also: → bug 992368

Comment 2

4 years ago
(Struggled to find this by searching; adding some keywords to the summary)
Summary: [tracker] Reasons for next Mercurial upgrade → [tracker] Reasons for next hg.mozilla.org Mercurial upgrade

Updated

4 years ago
Blocks: 770811
Assignee: server-ops-webops → hwine
No longer blocks: 770811

Comment 3

4 years ago
Hal, bug 1051804 requires Hg v2.2 or higher - am I correct in thinking that the hg.mozilla.org webheads is still only running 2.0.2 (from bug 623505)?
Depends on: 1051804
Flags: needinfo?(hwine)
No, they're running 2.5.4.

Comment 5

4 years ago
Ah great - thank you :-)
Flags: needinfo?(hwine)

Updated

4 years ago
No longer depends on: 1051804
(In reply to Kendall Libby [:fubar] from comment #4)
> No, they're running 2.5.4.

see bug 741353 for upgrade to 2.5.4

Comment 7

4 years ago
(In reply to Hal Wine [:hwine] (use needinfo) from comment #6)
> see bug 741353 for upgrade to 2.5.4

Doh I'm even CCed. (I'd not thought to include the "Change requests" components in my search earlier, I thought it was similar to account requests)

Updated

4 years ago
Blocks: 1053705

Updated

3 years ago
Component: WebOps: Source Control → Mercurial: hg.mozilla.org
Product: Infrastructure & Operations → Developer Services

Updated

3 years ago
Whiteboard: [kanban:engops:https://kanbanize.com/ctrl_board/6/140]

Comment 8

3 years ago
We already upgraded the hgweb nodes to 3.1 and we have plans to upgrade the ssh server to 3.1 as well. We know upgrading on a regular cadence is important. I don't think this bug serves any value. So I'm closing it.
Status: NEW → RESOLVED
Last Resolved: 3 years ago
Resolution: --- → INCOMPLETE
Whiteboard: [kanban:engops:https://kanbanize.com/ctrl_board/6/140] → [kanban:engops:https://mozilla.kanbanize.com/ctrl_board/6/140]
You need to log in before you can comment on or make changes to this bug.